Package org.opensaml.saml.criterion

# Class StartsWithLocationCriterion

java.lang.Object
org.opensaml.saml.criterion.StartsWithLocationCriterion

All Implemented Interfaces:
  `Criterion`

public class StartsWithLocationCriterion extends Object implements Criterion
A criterion which allows to specify at runtime whether location paths being evaluated may be evaluated on the basis of a "starts with" match.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`matchStartsWith`
The matchStartsWith criterion value.

## Constructor Summary

Constructors
Constructor
Description
`StartsWithLocationCriterion()`
Constructor.
`StartsWithLocationCriterion(boolean value)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`boolean`
`isMatchStartsWith()`
Get the startswith value.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### matchStartsWith

private boolean matchStartsWith
The matchStartsWith criterion value.

## Constructor Details

### StartsWithLocationCriterion

public StartsWithLocationCriterion()
Constructor.

### StartsWithLocationCriterion

public StartsWithLocationCriterion(boolean value)
Constructor.

Parameters:
  `value` - the matchStartsWith flag value

## Method Details

### isMatchStartsWith

public boolean isMatchStartsWith()
Get the startswith value.

Returns:
  true or false

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`